summaryrefslogtreecommitdiffstats
path: root/package/base-files/default/sbin
diff options
context:
space:
mode:
authornbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-11-07 01:30:03 +0000
committernbd <nbd@3c298f89-4303-0410-b956-a3cf2f4a3e73>2005-11-07 01:30:03 +0000
commit170b2b423d7d0430c0e181fbb66ff3d9ea4aac59 (patch)
tree7df2d09de32af8ea89b780a1655ada2df45287ad /package/base-files/default/sbin
parent0bb68e81eca839c8eed0c629b403ac558ea662e6 (diff)
disable squashfs auto-clean for non-broadcom stuff
git-svn-id: svn://svn.openwrt.org/openwrt/trunk/openwrt@2365 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package/base-files/default/sbin')
-rwxr-xr-xpackage/base-files/default/sbin/mount_root1
1 files changed, 1 insertions, 0 deletions
diff --git a/package/base-files/default/sbin/mount_root b/package/base-files/default/sbin/mount_root
index c8edaaa2f..c393e06f3 100755
--- a/package/base-files/default/sbin/mount_root
+++ b/package/base-files/default/sbin/mount_root
@@ -1,6 +1,7 @@
#!/bin/sh
. /etc/nvram.sh
is_clean() {
+ grep Broadcom /proc/cpuinfo 2>&- >&- || return 0
OFFSET="$((0x$(dd if=/dev/mtdblock/1 bs=1 skip=$((0x14)) count=2 2>&- | hexdump | grep 0000000 | cut -d ' ' -f 2) - 1))"
dd if=/dev/mtdblock/1 bs=1 skip=$OFFSET count=1 2>&- | hexdump -v | grep ' 0000' > /dev/null && return 255 || return 0
}